Name:           python-gnupg
Version:        0.5.0
Release:    1%{?dist}
Summary:        A wrapper for the Gnu Privacy Guard (GPG or GnuPG)

License:        BSD
URL:            https://gnupg.readthedocs.io/
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Source1:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz.asc
Source2:	CA749061914EAC138E66EADB9147B477339A9B86.gpg
Source3:	tox.ini
Source4:	pyproject.toml
BuildArch:      noarch

%description
GnuPG bindings for python. This uses the gpg command.

%package -n     python3-gnupg
Summary:        A wrapper for the Gnu Privacy Guard (GPG or GnuPG)
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gnupg2
Requires:       gnupg
%{?python_provide:%python_provide python3-gnupg}

%description -n python3-gnupg
GnuPG bindings for python. This uses the gpg command.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{name}-%{version}
cp %{SOURCE3} %{SOURCE4} .

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gnupg

%check
%tox

%files -n python3-gnupg -f %{pyproject_files}
%doc README.rst
%license LICENSE.txt

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-1
- initial build
